<?php
/**
 * Single Post Options
 *
 * @package handmade_craft
 */

$wp_customize->add_section(
	'handmade_craft_single_post_options',
	array(
		'title' => esc_html__( 'Single Post Options', 'handmade-craft' ),
		'panel' => 'handmade_craft_theme_options',
	)
);

// Post Options - Show / Hide Date.
$wp_customize->add_setting(
	'handmade_craft_single_post_hide_date',
	array(
		'default'           => true,
		'sanitize_callback' => 'handmade_craft_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Handmade_Craft_Toggle_Switch_Custom_Control(
		$wp_customize,
		'handmade_craft_single_post_hide_date',
		array(
			'label'   => esc_html__( 'Show / Hide Date', 'handmade-craft' ),
			'section' => 'handmade_craft_single_post_options',
		)
	)
);

// Post Options - Show / Hide Author.
$wp_customize->add_setting(
	'handmade_craft_single_post_hide_author',
	array(
		'default'           => true,
		'sanitize_callback' => 'handmade_craft_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Handmade_Craft_Toggle_Switch_Custom_Control(
		$wp_customize,
		'handmade_craft_single_post_hide_author',
		array(
			'label'   => esc_html__( 'Show / Hide Author', 'handmade-craft' ),
			'section' => 'handmade_craft_single_post_options',
		)
	)
);

// Post Options - Show / Hide Comments.
$wp_customize->add_setting(
	'handmade_craft_single_post_hide_comments',
	array(
		'default'           => true,
		'sanitize_callback' => 'handmade_craft_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Handmade_Craft_Toggle_Switch_Custom_Control(
		$wp_customize,
		'handmade_craft_single_post_hide_comments',
		array(
			'label'   => esc_html__( 'Show / Hide Comments', 'handmade-craft' ),
			'section' => 'handmade_craft_single_post_options',
		)
	)
);

// Post Options - Show / Hide Time.
$wp_customize->add_setting(
	'handmade_craft_single_post_hide_time',
	array(
		'default'           => true,
		'sanitize_callback' => 'handmade_craft_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Handmade_Craft_Toggle_Switch_Custom_Control(
		$wp_customize,
		'handmade_craft_single_post_hide_time',
		array(
			'label'   => esc_html__( 'Show / Hide Time', 'handmade-craft' ),
			'section' => 'handmade_craft_single_post_options',
		)
	)
);

// Post Options - Show / Hide Category.
$wp_customize->add_setting(
	'handmade_craft_single_post_hide_category',
	array(
		'default'           => true,
		'sanitize_callback' => 'handmade_craft_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Handmade_Craft_Toggle_Switch_Custom_Control(
		$wp_customize,
		'handmade_craft_single_post_hide_category',
		array(
			'label'   => esc_html__( 'Show / Hide Category', 'handmade-craft' ),
			'section' => 'handmade_craft_single_post_options',
		)
	)
);

// Post Options - Show / Hide Tag.
$wp_customize->add_setting(
	'handmade_craft_post_hide_tags',
	array(
		'default'           => true,
		'sanitize_callback' => 'handmade_craft_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Handmade_Craft_Toggle_Switch_Custom_Control(
		$wp_customize,
		'handmade_craft_post_hide_tags',
		array(
			'label'   => esc_html__( 'Show / Hide Tag', 'handmade-craft' ),
			'section' => 'handmade_craft_single_post_options',
		)
	)
);

// Post Options - Comment Title.
$wp_customize->add_setting(
	'handmade_craft_blog_post_comment_title',
	array(
		'default'=> 'Leave a Reply',
		'sanitize_callback'	=> 'sanitize_text_field'
	)
);

$wp_customize->add_control(
	'handmade_craft_blog_post_comment_title',
	array(
		'label'	=> __('Comment Title','handmade-craft'),
		'input_attrs' => array(
			'placeholder' => __( 'Leave a Reply', 'handmade-craft' ),
		),
		'section'=> 'handmade_craft_single_post_options',
		'type'=> 'text'
	)
);